:TOP
CALL DHARVEST.EXE %1
IF ERRORLEVEL 110 GOTO L110
IF ERRORLEVEL 109 GOTO L109
IF ERRORLEVEL 108 GOTO L108
IF ERRORLEVEL 107 GOTO L107
IF ERRORLEVEL 106 GOTO L106
IF ERRORLEVEL 105 GOTO L105
IF ERRORLEVEL 104 GOTO L104
IF ERRORLEVEL 103 GOTO L103
IF ERRORLEVEL 102 GOTO L102
IF ERRORLEVEL 101 GOTO L101
GOTO OUT
:L110
CALL LAUNCH10.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L109
CALL LAUNCH9.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L108
CALL LAUNCH8.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L107
CALL LAUNCH7.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L106
CALL LAUNCH6.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L105
CALL LAUNCH5.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L104
CALL LAUNCH4.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L103
CALL LAUNCH3.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L102
CALL LAUNCH2.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:L101
CALL LAUNCH1.BAT
IF ERRORLEVEL 2 GOTO OUT
GOTO TOP
:OUT